﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace SilverlightApplication3
{
	public class DataFormItem : ViewModelBase
	{
		private DataItem selectedTreeNode;
		private bool isValid;

		public DataFormItem()
		{
			this.Items = new ObservableCollection<DataItem>();

			for (int i = 0; i < 4; i++)
			{
				string name = i < 2 ? string.Empty : "Invalid ";
				DataItem item = new DataItem()
				{
					Name = String.Format("{0}Item {1}", name, i)
				};
				for (int j = 0; j < 2; j++)
				{
					item.Children.Add(new DataItem() { Name = String.Format("{0}Item {1}.{2}", name, i, j) });
				}
				this.Items.Add(item);
			}

			this.SelectedTreeNode = this.Items[0];
		}

		public DataItem SelectedTreeNode
		{
			get
			{
				return this.selectedTreeNode;
			}
			set
			{
				if (this.selectedTreeNode != value)
				{
					this.selectedTreeNode = value;
					if (value.Name.Contains("Invalid"))
						this.IsValid = false;
					else
						this.IsValid = true;
					this.OnPropertyChanged("SelectedTreeNode");
				}
			}
		}
		public ObservableCollection<DataItem> Items { get; private set; }
		public string Header { get; set; }
		public bool IsValid
		{
			get
			{
				return this.isValid;
			}
			set
			{
				if (this.isValid != value)
				{
					this.isValid = value;
					this.OnPropertyChanged("IsValid");
				}
			}
		}
	}
}
